{
    "autoimport.filesToScan": "**/*.{mjs,wjs,js,jsx,ts,tsx,less,css}",
    "autoimport.useSemiColon": false,
    // "editor.codeActionsOnSave": [
    //     "source.fixAll",
    // ],
    "files.watcherExclude": {
        "**/.git/objects/**": true,
        "**/.git/subtree-cache/**": true,
        "**/node_modules/*/**": true,
        "**/dist/**": true,
        "**/.hg/store/**": true
    },
    "task.allowAutomaticTasks": "on",
    "prettier.enable": false,
    "editor.codeActionsOnSave": {
        "source.fixAll.eslint": true
    },
    "editor.formatOnSave": false,
    "[vue]": {
        "editor.formatOnSave": true,
        "editor.defaultFormatter": "Vue.volar"
    },
    "vite.autoStart": false,
    "workbench.colorCustomizations": {
        "activityBar.activeBackground": "#c07a98",
        "activityBar.background": "#c07a98",
        "activityBar.foreground": "#15202b",
        "activityBar.inactiveForeground": "#15202b99",
        "activityBarBadge.background": "#bcd6a8",
        "activityBarBadge.foreground": "#15202b",
        "commandCenter.border": "#e7e7e799",
        "sash.hoverBorder": "#c07a98",
        "statusBar.background": "#b0577d",
        "statusBar.foreground": "#e7e7e7",
        "statusBarItem.hoverBackground": "#c07a98",
        "statusBarItem.remoteBackground": "#b0577d",
        "statusBarItem.remoteForeground": "#e7e7e7",
        "titleBar.activeBackground": "#b0577d",
        "titleBar.activeForeground": "#e7e7e7",
        "titleBar.inactiveBackground": "#b0577d99",
        "titleBar.inactiveForeground": "#e7e7e799"
    },
    "peacock.color": "#b0577d",
    "todo-tree.highlights.defaultHighlight": {
        "background": "#ffcc77"
    }
}
